import React from "react";
import { makeStyles } from "@material-ui/core/styles";
import List from "@material-ui/core/List";
import ListItem from "@material-ui/core/ListItem";
import ListItemIcon from "@material-ui/core/ListItemIcon";
import ListItemSecondaryAction from "@material-ui/core/ListItemSecondaryAction";
import ListItemText from "@material-ui/core/ListItemText";
import Checkbox from "@material-ui/core/Checkbox";
import IconButton from "@material-ui/core/IconButton";

const useStyles = makeStyles(theme => ({
  root: {
    width: "100%",
    maxWidth: 360,
    backgroundColor: theme.palette.background.paper,
    color: "#666"
  }
}));

export default function SearchEPCompCurriculum({ onChange, typeOfResources, setTypeRes }) {
  const classes = useStyles();

  const handleToggle = (index) => () => {
    const newTypeOfRes = [...typeOfResources];
    newTypeOfRes[index].isChecked = !newTypeOfRes[index].isChecked
    setTypeRes(newTypeOfRes);
  };

  if (typeOfResources)
    return (
      <List className={classes.root}>
        {typeOfResources.map((item, index) => {
          const labelId = `checkbox-list-label-${item.value}`;

          return (
            <ListItem
              key={item.exemplo}
              role={undefined}
              dense
              button
              onClick={handleToggle(index)}
            >
              <ListItemIcon>
                <Checkbox
                  edge="start"
                  checked={item.isChecked}
                  tabIndex={-1}
                  disableRipple
                  inputProps={{ "aria-labelledby": labelId }}
                />
              </ListItemIcon>
              <ListItemText id={labelId} primary={item.exemplo} />
              <ListItemSecondaryAction>
                <IconButton edge="end" aria-label="comments"></IconButton>
              </ListItemSecondaryAction>
            </ListItem>
          );
        })}
      </List>
    );
}
