/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react'
import Grid from '@material-ui/core/Grid';
import { HeaderGrid, StyledGrid } from '../StyledComponents.js'
import { NoContent } from './TabInicio.js'
import CollectionCardFunction from '../../CollectionCardFunction.js'
import NoCol from '../../../img/Pagina_vazia_colecao.png'

export default function LastCols(props) {
    return (
        <React.Fragment>
            <HeaderGrid container>
                <Grid item xs={12}>
                    <h3>Últimas alterações em coleções</h3>
                </Grid>
            </HeaderGrid>


            {
                props.count === 0 || props.collections.length === 0 ?
                    (
                        [
                            <Grid container>
                                <Grid item xs={12}>
                                    <NoContent
                                        image={NoCol}
                                        text1={props.username + " ainda não disponibilizou nenhuma coleção."}
                                        text2={"Quando disponibilizar, elas aparecerão aqui."}
                                    />
                                </Grid>
                            </Grid>
                        ]
                    )
                    :
                    (
                        [
                            <StyledGrid container spacing={1} style={{ paddingLeft: "0.5em" }}>
                                {
                                    props.collections.slice(0, 4).map((card) =>
                                        <Grid item container md={3} xs={12} key={card.id}>
                                            <CollectionCardFunction
                                                name={card.name}
                                                tags={card.tags}
                                                rating={card.review_average}
                                                id={card.id}
                                                author={card.owner.name}
                                                description={card.description}
                                                thumbnails={card.items_thumbnails}
                                                avatar={card.owner.avatar}
                                                likeCount={card.likes_count}
                                                followed={card.followed}
                                                liked={card.liked}
                                                collections={card.collection_items}
                                                authorID={card.owner.id}
                                            />
                                        </Grid>
                                    )
                                }
                            </StyledGrid>
                        ]
                    )
            }
        </React.Fragment>
    )
}
